View Categories

Retrieve Individual Payment Method

< 1 min read

Retrieve Individual Payment Methods #

Lists all saved payment methods (cards + IBANs) for a given individual.

Endpoint #

GET https://api-test.10npay.com/api/v1/IndividualPaymentMethod/{individualId}

Headers #

  • Authorization: Bearer <access_token>
  • Accept: application/json

Path Parameter #

Name Description
individualId CRM individual ID whose payment methods will be returned.

Response — 200 OK #

[
  {
    "alias": "Personal VISA",
    "validityMonth": "04",
    "validityYear": "28",
    "bankName": "Bank of Somewhere",
    "swift": "TESTBGSF",
    "currency": "BGN",
    "cardType": "VISA",
    "paymentType": "CARD",
    "value": "****0044",
    "ownerName": "Ivailo Petkov",
    "accountHolderName": "Ivailo Petkov",
    "lastFundsDeposited": 0,
    "lastFundsWithdrawn": 0,
    "has2FAOr3DS": true,
    "bankStatement": "",
    "cvvOrCvcCode": "",
    "status": "PendingReview",
    "bankAddress": "",
    "vPos": ""
  }
]

For IBAN entries, paymentType is usually IBAN and value contains the IBAN/account number.

Errors #

  • 400 Bad Request – invalid individual ID or individual not eligible.
  • 404 Not Found – no such individual.
  • 500 Internal Server Error – unexpected failure.

Notes #

  • Use this endpoint after adding a card/IBAN to check its review status.
  • Masked card numbers and tokenized data are returned in value.